Software update has bugs

Bryn M. Reeves bmr at
Fri Jul 15 13:57:28 UTC 2011

On 07/14/2011 09:27 PM, Aaron Konstam wrote:
> continue and the system asked me for a passwd authorization. I entered
> the only passwds that seemed possibly relevant and both were rejected

What password did it _ask_ for? Depending on what you're trying to do PolicyKit
(the component that handles authorisation for the updater services) may ask for
either the user password or the administrator (root) password.

I had a problem early on on f15 in gnome where polkit-gnome seemed to want the
password for a user other than the one logged into the graphical desktop but
this seemed to go away with updates.

Anyway, if the problem is reproducible with up-to-date packages it sounds like a

> I tried to use Gnome to do the same thing. When I searched for Get or
> Remove .. the only relevant application I was shown was KPackageKit.

KPackageKit is the KDE interface for PackageKit. The Gnome equivalents are in
the System section of the menu and are labelled "Add/Remove Software" and
"Software Update".

> Now I pressed my luck and ran another option called Software Update.
> Which attempted it said to find updates but failed. The same option
> under KVM also failed.

It's hard to say without knowing specific error messages but you could try
searching in bugzilla or via google for the specific messages that you saw.


More information about the users mailing list